diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-general.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-general.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-general.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-general.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 20,29 ****
  /**
   * Display JavaScript on the page.
   *
!  * @package WordPress
!  * @subpackage General_Settings_Screen
   */
! function add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
--- 20,28 ----
  /**
   * Display JavaScript on the page.
   *
!  * @since 3.5.0
   */
! function options_general_add_js() {
  ?>
  <script type="text/javascript">
  //<![CDATA[
***************
*** 45,62 ****
  		});
  		$("input[name='date_format_custom'], input[name='time_format_custom']").change( function() {
  			var format = $(this);
! 			format.siblings('img').css('visibility','visible');
  			$.post(ajaxurl, {
  					action: 'date_format_custom' == format.attr('name') ? 'date_format' : 'time_format',
  					date : format.val()
! 				}, function(d) { format.siblings('img').css('visibility','hidden'); format.siblings('.example').text(d); } );
  		});
  	});
  //]]>
  </script>
  <?php
  }
! add_action('admin_head', 'add_js');
  
  $options_help = '<p>' . __('The fields on this screen determine some of the basics of your site setup.') . '</p>' .
  	'<p>' . __('Most themes display the site title at the top of every page, in the title bar of the browser, and as the identifying name for syndicated feeds. The tagline is also displayed by many themes.') . '</p>';
--- 44,61 ----
  		});
  		$("input[name='date_format_custom'], input[name='time_format_custom']").change( function() {
  			var format = $(this);
! 			format.siblings('.spinner').css('display', 'inline-block'); // show(); can't be used here
  			$.post(ajaxurl, {
  					action: 'date_format_custom' == format.attr('name') ? 'date_format' : 'time_format',
  					date : format.val()
! 				}, function(d) { format.siblings('.spinner').hide(); format.siblings('.example').text(d); } );
  		});
  	});
  //]]>
  </script>
  <?php
  }
! add_action('admin_head', 'options_general_add_js');
  
  $options_help = '<p>' . __('The fields on this screen determine some of the basics of your site setup.') . '</p>' .
  	'<p>' . __('Most themes display the site title at the top of every page, in the title bar of the browser, and as the identifying name for syndicated feeds. The tagline is also displayed by many themes.') . '</p>';
***************
*** 231,242 ****
  	<fieldset><legend class="screen-reader-text"><span><?php _e('Date Format') ?></span></legend>
  <?php
  
! 	$date_formats = apply_filters( 'date_formats', array(
  		__('F j, Y'),
  		'Y/m/d',
  		'm/d/Y',
  		'd/m/Y',
! 	) );
  
  	$custom = true;
  
--- 230,241 ----
  	<fieldset><legend class="screen-reader-text"><span><?php _e('Date Format') ?></span></legend>
  <?php
  
! 	$date_formats = array_unique( apply_filters( 'date_formats', array(
  		__('F j, Y'),
  		'Y/m/d',
  		'm/d/Y',
  		'd/m/Y',
! 	) ) );
  
  	$custom = true;
  
***************
*** 251,257 ****
  
  	echo '	<label><input type="radio" name="date_format" id="date_format_custom_radio" value="\c\u\s\t\o\m"';
  	checked( $custom );
! 	echo '/> ' . __('Custom:') . ' </label><input type="text" name="date_format_custom" value="' . esc_attr( get_option('date_format') ) . '" class="small-text" /> <span class="example"> ' . date_i18n( get_option('date_format') ) . "</span> <img class='ajax-loading' src='" . esc_url( admin_url( 'images/wpspin_light.gif' ) ) . "' />\n";
  
  	echo "\t<p>" . __('<a href="http://codex.wordpress.org/Formatting_Date_and_Time">Documentation on date and time formatting</a>.') . "</p>\n";
  ?>
--- 250,256 ----
  
  	echo '	<label><input type="radio" name="date_format" id="date_format_custom_radio" value="\c\u\s\t\o\m"';
  	checked( $custom );
! 	echo '/> ' . __('Custom:') . ' </label><input type="text" name="date_format_custom" value="' . esc_attr( get_option('date_format') ) . '" class="small-text" /> <span class="example"> ' . date_i18n( get_option('date_format') ) . "</span> <span class='spinner'></span>\n";
  
  	echo "\t<p>" . __('<a href="http://codex.wordpress.org/Formatting_Date_and_Time">Documentation on date and time formatting</a>.') . "</p>\n";
  ?>
***************
*** 264,274 ****
  	<fieldset><legend class="screen-reader-text"><span><?php _e('Time Format') ?></span></legend>
  <?php
  
! 	$time_formats = apply_filters( 'time_formats', array(
  		__('g:i a'),
  		'g:i A',
  		'H:i',
! 	) );
  
  	$custom = true;
  
--- 263,273 ----
  	<fieldset><legend class="screen-reader-text"><span><?php _e('Time Format') ?></span></legend>
  <?php
  
! 	$time_formats = array_unique( apply_filters( 'time_formats', array(
  		__('g:i a'),
  		'g:i A',
  		'H:i',
! 	) ) );
  
  	$custom = true;
  
***************
*** 283,289 ****
  
  	echo '	<label><input type="radio" name="time_format" id="time_format_custom_radio" value="\c\u\s\t\o\m"';
  	checked( $custom );
! 	echo '/> ' . __('Custom:') . ' </label><input type="text" name="time_format_custom" value="' . esc_attr( get_option('time_format') ) . '" class="small-text" /> <span class="example"> ' . date_i18n( get_option('time_format') ) . "</span> <img class='ajax-loading' src='" . esc_url( admin_url( 'images/wpspin_light.gif' ) ) . "' />\n";
  	;
  ?>
  	</fieldset>
--- 282,288 ----
  
  	echo '	<label><input type="radio" name="time_format" id="time_format_custom_radio" value="\c\u\s\t\o\m"';
  	checked( $custom );
! 	echo '/> ' . __('Custom:') . ' </label><input type="text" name="time_format_custom" value="' . esc_attr( get_option('time_format') ) . '" class="small-text" /> <span class="example"> ' . date_i18n( get_option('time_format') ) . "</span> <span class='spinner'></span>\n";
  	;
  ?>
  	</fieldset>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-media.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-media.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-media.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 15,29 ****
  $title = __('Media Settings');
  $parent_file = 'options-general.php';
  
! $media_options_help = '<p>' . __('You can set maximum sizes for images inserted into your written content; you can also insert an image as Full Size.') . '</p>' .
! 	'<p>' . __('The Embed option allows you embed a video, image, or other media content into your content automatically by typing the URL (of the web page where the file lives) on its own line when you create your content.');
  
! if ( ! empty( $content_width ) )
! 	$media_options_help .= ' ' . __( 'If you do not set the maximum embed size, it will be automatically sized to fit into your content area.' );
! 
! $media_options_help .= '</p>';
! 
! if ( ! is_multisite() ) {
  	$media_options_help .= '<p>' . __('Uploading Files allows you to choose the folder and path for storing your uploaded files.') . '</p>';
  }
  
--- 15,23 ----
  $title = __('Media Settings');
  $parent_file = 'options-general.php';
  
! $media_options_help = '<p>' . __('You can set maximum sizes for images inserted into your written content; you can also insert an image as Full Size.') . '</p>';
  
! if ( ! is_multisite() && ( get_option('upload_url_path') || ( get_option('upload_path') != 'wp-content/uploads' && get_option('upload_path') ) ) ) {
  	$media_options_help .= '<p>' . __('Uploading Files allows you to choose the folder and path for storing your uploaded files.') . '</p>';
  }
  
***************
*** 91,126 ****
  <?php do_settings_fields('media', 'default'); ?>
  </table>
  
  <h3><?php _e('Embeds') ?></h3>
- 
  <table class="form-table">
! 
! <tr valign="top">
! <th scope="row"><?php _e('Auto-embeds'); ?></th>
! <td><fieldset><legend class="screen-reader-text"><span><?php _e('When possible, embed the media content from a URL directly onto the page. For example: links to Flickr and YouTube.'); ?></span></legend>
! <label for="embed_autourls"><input name="embed_autourls" type="checkbox" id="embed_autourls" value="1" <?php checked( '1', get_option('embed_autourls') ); ?>/> <?php _e('When possible, embed the media content from a URL directly onto the page. For example: links to Flickr and YouTube.'); ?></label>
! </fieldset></td>
! </tr>
! 
! <tr valign="top">
! <th scope="row"><?php _e('Maximum embed size') ?></th>
! <td>
! <label for="embed_size_w"><?php _e('Width'); ?></label>
! <input name="embed_size_w" type="number" step="1" min="0" id="embed_size_w" value="<?php form_option('embed_size_w'); ?>" class="small-text" />
! <label for="embed_size_h"><?php _e('Height'); ?></label>
! <input name="embed_size_h" type="number" step="1" min="0" id="embed_size_h" value="<?php form_option('embed_size_h'); ?>" class="small-text" />
! <?php if ( ! empty( $content_width ) )
! 	echo '<p class="description">' . __( 'If the width value is left blank, embeds will default to the max width of your theme.' ) . '</p>';
! ?>
! </td>
! </tr>
! 
! <?php do_settings_fields('media', 'embeds'); ?>
  </table>
  
  <?php if ( !is_multisite() ) : ?>
  <h3><?php _e('Uploading Files'); ?></h3>
  <table class="form-table">
  <tr valign="top">
  <th scope="row"><label for="upload_path"><?php _e('Store uploads in this folder'); ?></label></th>
  <td><input name="upload_path" type="text" id="upload_path" value="<?php echo esc_attr(get_option('upload_path')); ?>" class="regular-text code" />
--- 85,104 ----
  <?php do_settings_fields('media', 'default'); ?>
  </table>
  
+ <?php if ( isset( $GLOBALS['wp_settings']['media']['embeds'] ) ) : ?>
  <h3><?php _e('Embeds') ?></h3>
  <table class="form-table">
! <?php do_settings_fields( 'media', 'embeds' ); ?>
  </table>
+ <?php endif; ?>
  
  <?php if ( !is_multisite() ) : ?>
  <h3><?php _e('Uploading Files'); ?></h3>
  <table class="form-table">
+ <?php
+ // If upload_url_path is not the default (empty), and upload_path is not the default ('wp-content/uploads' or empty)
+ if ( get_option('upload_url_path') || ( get_option('upload_path') != 'wp-content/uploads' && get_option('upload_path') ) ) :
+ ?>
  <tr valign="top">
  <th scope="row"><label for="upload_path"><?php _e('Store uploads in this folder'); ?></label></th>
  <td><input name="upload_path" type="text" id="upload_path" value="<?php echo esc_attr(get_option('upload_path')); ?>" class="regular-text code" />
***************
*** 134,140 ****
  <p class="description"><?php _e('Configuring this is optional. By default, it should be blank.'); ?></p>
  </td>
  </tr>
! 
  <tr>
  <th scope="row" colspan="2" class="th-full">
  <label for="uploads_use_yearmonth_folders">
--- 112,118 ----
  <p class="description"><?php _e('Configuring this is optional. By default, it should be blank.'); ?></p>
  </td>
  </tr>
! <?php endif; ?>
  <tr>
  <th scope="row" colspan="2" class="th-full">
  <label for="uploads_use_yearmonth_folders">
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-permalink.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-permalink.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options-permalink.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options-permalink.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 49,63 ****
  /**
   * Display JavaScript on the page.
   *
!  * @package WordPress
!  * @subpackage Permalink_Settings_Screen
   */
! function add_js() {
  	?>
  <script type="text/javascript">
  //<![CDATA[
  jQuery(document).ready(function() {
! 	jQuery('input:radio.tog').change(function() {
  		if ( 'custom' == this.value )
  			return;
  		jQuery('#permalink_structure').val( this.value );
--- 49,62 ----
  /**
   * Display JavaScript on the page.
   *
!  * @since 3.5.0
   */
! function options_permalink_add_js() {
  	?>
  <script type="text/javascript">
  //<![CDATA[
  jQuery(document).ready(function() {
! 	jQuery('.permalink-structure input:radio').change(function() {
  		if ( 'custom' == this.value )
  			return;
  		jQuery('#permalink_structure').val( this.value );
***************
*** 70,76 ****
  </script>
  <?php
  }
! add_filter('admin_head', 'add_js');
  
  include('./admin-header.php');
  
--- 69,75 ----
  </script>
  <?php
  }
! add_filter('admin_head', 'options_permalink_add_js');
  
  include('./admin-header.php');
  
***************
*** 190,224 ****
  );
  ?>
  <h3><?php _e('Common Settings'); ?></h3>
! <table class="form-table">
  	<tr>
! 		<th><label><input name="selection" type="radio" value="" class="tog" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
  		<td><code><?php echo get_option('home'); ?>/?p=123</code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[1]); ?>" class="tog" <?php checked($structures[1], $permalink_structure); ?> /> <?php _e('Day and name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . date('d') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[2]); ?>" class="tog" <?php checked($structures[2], $permalink_structure); ?> /> <?php _e('Month and name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[3]); ?>" class="tog" <?php checked($structures[3], $permalink_structure); ?> /> <?php _e('Numeric'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'archives', 'sample permalink base' ) . '/123'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[4]); ?>" class="tog" <?php checked($structures[4], $permalink_structure); ?> /> <?php _e('Post name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
  		<th>
! 			<label><input name="selection" id="custom_selection" type="radio" value="custom" class="tog" <?php checked( !in_array($permalink_structure, $structures) ); ?> />
  			<?php _e('Custom Structure'); ?>
  			</label>
  		</th>
  		<td>
! 			<?php echo $blog_prefix; ?>
  			<input name="permalink_structure" id="permalink_structure" type="text" value="<?php echo esc_attr($permalink_structure); ?>" class="regular-text code" />
  		</td>
  	</tr>
--- 189,223 ----
  );
  ?>
  <h3><?php _e('Common Settings'); ?></h3>
! <table class="form-table permalink-structure">
  	<tr>
! 		<th><label><input name="selection" type="radio" value="" <?php checked('', $permalink_structure); ?> /> <?php _e('Default'); ?></label></th>
  		<td><code><?php echo get_option('home'); ?>/?p=123</code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[1]); ?>" <?php checked($structures[1], $permalink_structure); ?> /> <?php _e('Day and name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . date('d') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[2]); ?>" <?php checked($structures[2], $permalink_structure); ?> /> <?php _e('Month and name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . date('Y') . '/' . date('m') . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[3]); ?>" <?php checked($structures[3], $permalink_structure); ?> /> <?php _e('Numeric'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'archives', 'sample permalink base' ) . '/123'; ?></code></td>
  	</tr>
  	<tr>
! 		<th><label><input name="selection" type="radio" value="<?php echo esc_attr($structures[4]); ?>" <?php checked($structures[4], $permalink_structure); ?> /> <?php _e('Post name'); ?></label></th>
  		<td><code><?php echo get_option('home') . $blog_prefix . $prefix . '/' . _x( 'sample-post', 'sample permalink structure' ) . '/'; ?></code></td>
  	</tr>
  	<tr>
  		<th>
! 			<label><input name="selection" id="custom_selection" type="radio" value="custom" <?php checked( !in_array($permalink_structure, $structures) ); ?> />
  			<?php _e('Custom Structure'); ?>
  			</label>
  		</th>
  		<td>
! 			<code><?php echo get_option('home') . $blog_prefix; ?></code>
  			<input name="permalink_structure" id="permalink_structure" type="text" value="<?php echo esc_attr($permalink_structure); ?>" class="regular-text code" />
  		</td>
  	</tr>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/options.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/options.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 61,74 ****
  $whitelist_options = array(
  	'general' => array( 'blogname', 'blogdescription', 'gmt_offset', 'date_format', 'time_format', 'start_of_week', 'timezone_string' ),
  	'discussion' => array( 'default_pingback_flag', 'default_ping_status', 'default_comment_status', 'comments_notify', 'moderation_notify', 'comment_moderation', 'require_name_email', 'comment_whitelist', 'comment_max_links', 'moderation_keys', 'blacklist_keys', 'show_avatars', 'avatar_rating', 'avatar_default', 'close_comments_for_old_posts', 'close_comments_days_old', 'thread_comments', 'thread_comments_depth', 'page_comments', 'comments_per_page', 'default_comments_page', 'comment_order', 'comment_registration' ),
! 	'media' => array( 'thumbnail_size_w', 'thumbnail_size_h', 'thumbnail_crop', 'medium_size_w', 'medium_size_h', 'large_size_w', 'large_size_h', 'image_default_size', 'image_default_align', 'image_default_link_type', 'embed_autourls', 'embed_size_w', 'embed_size_h' ),
! 	'privacy' => array( 'blog_public' ),
! 	'reading' => array( 'posts_per_page', 'posts_per_rss', 'rss_use_excerpt', 'blog_charset', 'show_on_front', 'page_on_front', 'page_for_posts' ),
! 	'writing' => array( 'default_post_edit_rows', 'use_smilies', 'default_category', 'default_email_category', 'use_balanceTags', 'default_link_category', 'default_post_format', 'enable_app', 'enable_xmlrpc' ),
! 	'options' => array( '' ) );
  
  $mail_options = array('mailserver_url', 'mailserver_port', 'mailserver_login', 'mailserver_pass');
! $uploads_options = array('uploads_use_yearmonth_folders', 'upload_path', 'upload_url_path');
  
  if ( !is_multisite() ) {
  	if ( !defined( 'WP_SITEURL' ) )
--- 61,76 ----
  $whitelist_options = array(
  	'general' => array( 'blogname', 'blogdescription', 'gmt_offset', 'date_format', 'time_format', 'start_of_week', 'timezone_string' ),
  	'discussion' => array( 'default_pingback_flag', 'default_ping_status', 'default_comment_status', 'comments_notify', 'moderation_notify', 'comment_moderation', 'require_name_email', 'comment_whitelist', 'comment_max_links', 'moderation_keys', 'blacklist_keys', 'show_avatars', 'avatar_rating', 'avatar_default', 'close_comments_for_old_posts', 'close_comments_days_old', 'thread_comments', 'thread_comments_depth', 'page_comments', 'comments_per_page', 'default_comments_page', 'comment_order', 'comment_registration' ),
! 	'media' => array( 'thumbnail_size_w', 'thumbnail_size_h', 'thumbnail_crop', 'medium_size_w', 'medium_size_h', 'large_size_w', 'large_size_h', 'image_default_size', 'image_default_align', 'image_default_link_type' ),
! 	'reading' => array( 'posts_per_page', 'posts_per_rss', 'rss_use_excerpt', 'show_on_front', 'page_on_front', 'page_for_posts', 'blog_public' ),
! 	'writing' => array( 'use_smilies', 'default_category', 'default_email_category', 'use_balanceTags', 'default_link_category', 'default_post_format' )
! );
! $whitelist_options['misc'] = $whitelist_options['options'] = $whitelist_options['privacy'] = array();
  
  $mail_options = array('mailserver_url', 'mailserver_port', 'mailserver_login', 'mailserver_pass');
! 
! if ( ! in_array( get_option( 'blog_charset' ), array( 'utf8', 'utf-8', 'UTF8', 'UTF-8' ) ) )
! 	$whitelist_options['reading'][] = 'blog_charset';
  
  if ( !is_multisite() ) {
  	if ( !defined( 'WP_SITEURL' ) )
***************
*** 83,98 ****
  	$whitelist_options['writing'] = array_merge($whitelist_options['writing'], $mail_options);
  	$whitelist_options['writing'][] = 'ping_sites';
  
! 	$whitelist_options['media'] = array_merge($whitelist_options['media'], $uploads_options);
  } else {
  	$whitelist_options['general'][] = 'new_admin_email';
  	$whitelist_options['general'][] = 'WPLANG';
- 	$whitelist_options['general'][] = 'language';
  
  	if ( apply_filters( 'enable_post_by_email_configuration', true ) )
  		$whitelist_options['writing'] = array_merge($whitelist_options['writing'], $mail_options);
- 
- 	$whitelist_options[ 'misc' ] = array();
  }
  
  $whitelist_options = apply_filters( 'whitelist_options', $whitelist_options );
--- 85,103 ----
  	$whitelist_options['writing'] = array_merge($whitelist_options['writing'], $mail_options);
  	$whitelist_options['writing'][] = 'ping_sites';
  
! 	$whitelist_options['media'][] = 'uploads_use_yearmonth_folders';
! 
! 	// If upload_url_path and upload_path are both default values, they're locked.
! 	if ( get_option( 'upload_url_path' ) || ( get_option('upload_path') != 'wp-content/uploads' && get_option('upload_path') ) ) {
! 		$whitelist_options['media'][] = 'upload_path';
! 		$whitelist_options['media'][] = 'upload_url_path';
! 	}
  } else {
  	$whitelist_options['general'][] = 'new_admin_email';
  	$whitelist_options['general'][] = 'WPLANG';
  
  	if ( apply_filters( 'enable_post_by_email_configuration', true ) )
  		$whitelist_options['writing'] = array_merge($whitelist_options['writing'], $mail_options);
  }
  
  $whitelist_options = apply_filters( 'whitelist_options', $whitelist_options );
***************
*** 139,152 ****
  			if ( $unregistered )
  				_deprecated_argument( 'options.php', '2.7', sprintf( __( 'The <code>%1$s</code> setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API' ), $option, $option_page ) );
  
! 			$option = trim($option);
  			$value = null;
! 			if ( isset($_POST[$option]) )
! 				$value = $_POST[$option];
! 			if ( !is_array($value) )
! 				$value = trim($value);
! 			$value = stripslashes_deep($value);
! 			update_option($option, $value);
  		}
  	}
  
--- 144,158 ----
  			if ( $unregistered )
  				_deprecated_argument( 'options.php', '2.7', sprintf( __( 'The <code>%1$s</code> setting is unregistered. Unregistered settings are deprecated. See http://codex.wordpress.org/Settings_API' ), $option, $option_page ) );
  
! 			$option = trim( $option );
  			$value = null;
! 			if ( isset( $_POST[ $option ] ) ) {
! 				$value = $_POST[ $option ];
! 				if ( ! is_array( $value ) )
! 					$value = trim( $value );
! 				$value = stripslashes_deep( $value );
! 			}
! 			update_option( $option, $value );
  		}
  	}
  
